Support » Fixing WordPress » Update wordpress plugins

  • I have my permissions set 775 for directories and 664 for files.
    owner of files is myid and belongs to group of the web server process.

    When I attempt to update it prompts for id and password for ftp. I do not have ftp running on this server for security reasons.

    The only way to update the plugins is to change the owner to the web process id. This is also not secure.

    Any other suggestions?

Viewing 2 replies - 1 through 2 (of 2 total)
  • It is very common. You can make all 777, that will also fail.

    Add this to your WordPress wp-config.php file :

    define('FS_METHOD','direct');

    Basically “myid” in to yourusername to www-data group plus adding www-data group to psaserv group solves it. When you understand running FTP is not safe, you are an advanced user. You should comment out define('FS_METHOD','direct'); after the update.

    Thanks for the suggestion. I guess there is no easy way to do this securely. Its not a problem with the small number of sites I have now but will be an issue in the future.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Update wordpress plugins’ is closed to new replies.